
# Changelog

## 1.1.0 (2021-05-10)
### Added Features
- Enable option --scc to configure of SSC of 1st ISP
- Enable option --segment to segment the output into multiple files

### Fixed
- Use uname in launcher script to detect operating system


## 1.0.1 (2020-04-21)
- Correct conversion between GPS and MJD (EOCFI processing) time1
- Improve build scripts


## 1.0.0 (2020-03-30)

### Added Features
- Rename tool to NAVIGATOR (NAVatt synthetIc generATOR)
- Generate 'realistic' time stamps for Packet generation vs GNSR/AOCS
- Enable 1Hz/8hz packet generation
- Replace --step option with -frequency
- Improve --help information
- Enable ${VERSION} definition based on CMake project version
- Move CompilerFlags to reusable CMake module

### Fixed
- Correct numerical errors in time stamp conversions


## 0.0.3 (2019-12-13)

### Added Features
- Add CHANGELOG to distribution packages
- Add script to automate all build process
- Add check to verify that only valid keys are used in the mission configuration

### Fixed
- Correct reference frame used during conversion between EF and J2000
- Correct reference frame used during attitude calculation
- Correct axes mapping between EOCFI and mission specific conventions 


## 0.0.2 (2019-10-26)

### Added Features
- Enable distribution package for Linux 64bit
- Add clang-format and clang-tidy support

### Fixed
- Set CRC field as byte array value


## 0.0.1 (2019-10-26)

### Added Features
- Add initial version of the NAVatt synthetIc GenerATOR (only available on macOS 64 bit)
- Add MetOp SG mission configuration/schema and orbit/attitude data example
